# Momentum UI - Vue2 Collaboration

[![license](https://img.shields.io/github/license/momentum-design/momentum-ui.svg?color=blueviolet)](https://github.com/momentum-design/momentum-ui/blob/master/react/LICENSE)
![state](https://img.shields.io/badge/state-alpha-blue)
[![semantic-release: angular](https://img.shields.io/badge/semantic--release-angular-e10079?logo=semantic-release)](https://github.com/semantic-release/semantic-release)

**Momentum Vue2** is a reusable [Vue2](https://v2.vuejs.org/) component library for Cisco's
Webex web applications derived from Cisco's [Momentum Design](https://momentum.design/).

<!-- **Currently, this project is closed to any external contributions. Any pull request made against
this project from external sources will likely be closed. If you would like to make changes to this
project, please fork this project.** -->

## Overview

The components in this project are built to meet the following project goals:

- **Modular** - Components can be imported independently as needed
- **Styled** - Fully styled to meet Cisco's [Momentum Design](https://momentum.design/)
- **Themed** - Themes can be provided to change the flavor of nested components
- **Performant** - Each component is designed to be as performant as possible
- **Reliable** - Components are rigorously tested visually and functionally

## Getting Started

Please review our [getting started guide](./GETTING_STARTED.md) for details on how to prepare this
project for downstream consumption.

Documentation for this project is available via our
[published Storybook](https://momentum-design.github.io/momentum-react-v2).

## Contribution

Want to contribute? Be sure to review the [contribution guide](./CONTRIBUTING.md).

## Changelog

See [the commit history](https://github.com/momentum-design/momentum-react-v2/commits/master) for
the most up-to-date changes.

## Tooling

- [yarn](https://github.com/yarnpkg/yarn) - Package Manager
- [react](https://github.com/facebook/react) / [react-dom](https://github.com/facebook/react) -
  Component Framework
- [momentum-ui](https://github.com/momentum-design/momentum-ui) - Icons, Images, Fonts
- [eslint](https://github.com/eslint/eslint) / [stylelint](https://github.com/stylelint/stylelint) -
  Static Analysis
- [jest](https://github.com/facebook/jest) / [enzyme](https://github.com/airbnb/enzyme) - Unit
  Testing
- [storybook](https://github.com/storybookjs/storybook) /
  [webpack](https://github.com/webpack/webpack) - Documentation
- [percy](https://percy.io/) / [cypress](https://github.com/cypress-io/cypress) - Visual Testing


## Copyright

Copyright (c) 2023 Cisco Systems
